bitel.billing.server.phone.bean

## Class PhoneLocationUploader

- java.lang.Object
- - ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension
  - - ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader
    - - bitel.billing.server.phone.bean.PhoneLocationUploader

-     public class PhoneLocationUploader
      extends ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

      `con`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

      `moduleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneLocationUploader(int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>` | `getNoObjectNumber()`
    `java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>` | `getObjectNumber()`
    `java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>` | `getRowList()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

      `init`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

      `getmoduleId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhoneLocationUploader

          public PhoneLocationUploader(int moduleId)

  - ### Method Detail

    - #### getRowList

          public java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getRowList()
                                                                                                          throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `getRowList` in class `ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getObjectNumber

          public java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getObjectNumber()
                                                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNoObjectNumber

          public java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getNoObjectNumber()
                                                                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`